summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-12-18 10:23:16 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-12-18 10:23:16 +0000
commitd6e4af6ed33e2f1a7b7edd3a94a15e3901a98c56 (patch)
tree8519f040935f7ff811d9720a1676d78df0d8cade /patches
parentFilter the list of targets for the kde-autoconf patch: if autoconf 2.6 is alr... (diff)
downloadautoepatch-d6e4af6ed33e2f1a7b7edd3a94a15e3901a98c56.tar.gz
autoepatch-d6e4af6ed33e2f1a7b7edd3a94a15e3901a98c56.tar.bz2
autoepatch-d6e4af6ed33e2f1a7b7edd3a94a15e3901a98c56.zip
Make the fbsd-conf patch apply everywhere, but make it required only on FreeBSD, so that it can be tested on every package beforehand, this is the same spirit that other patches should follow; to check if the patch is already applied or not, that's a task for patch_targets.
svn path=/trunk/; revision=12
Diffstat (limited to 'patches')
-rw-r--r--patches/fbsd-conf/fbsd-conf.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/patches/fbsd-conf/fbsd-conf.sh b/patches/fbsd-conf/fbsd-conf.sh
index 70c489f..4e59648 100644
--- a/patches/fbsd-conf/fbsd-conf.sh
+++ b/patches/fbsd-conf/fbsd-conf.sh
@@ -2,12 +2,16 @@
# Distributed under the terms of the GNU General Public License v2
patch_targets() {
- # only apply for FreeBSD
- [[ ${CHOST} == *-freebsd* ]] || return 0
-
# Find the configure scripts with a libtool that checks for freebsd
# versioning format, and that were not patched with our patch already
find "${WORKDIR}" -name configure -print0 | \
xargs -0 grep -Zl "version_type=freebsd-" | \
xargs -0 grep -L 'Handle Gentoo/FreeBSD as it was Linux'
}
+
+# This patch is required only on Gentoo/FreeBSD
+patch_required() {
+ [[ ${CHOST} == *-gentoo-freebsd* ]] || return 1
+
+ return 0
+}